﻿using Prism.Commands;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows;

namespace PLCTool.ViewModels.BusinessManageViewModel
{
    public class DeviceResultCardViewModel : BindableBase
    {
        private readonly IRegionManager _regionManager;
        public DeviceResultCardViewModel(IRegionManager regionManager)
        {
            this._regionManager = regionManager;
            DoubleClickCommand = new DelegateCommand<object>(DoubleClickCard);
        }

        private void DoubleClickCard(object obj)
        {
            if (obj == null)
            {
                MessageBox.Show("参数为空!", "确认", MessageBoxButton.OK, MessageBoxImage.Warning);

                return;
            }
            try
            {


                //参数转换
                TextBlock txtbl = obj as TextBlock;
                string projectName = txtbl.Text;
                NavigationParameters parm = new NavigationParameters();
                parm.Add("Key", projectName);

                _regionManager.Regions["ContentRegion"].RequestNavigate("ResultQueryView", async callback =>
                {


                }, parm);
            }
            catch
            {

            }
        }
        #region 命令绑定
        public DelegateCommand<object> DoubleClickCommand { get; set; }
        #endregion
    }
}
