﻿using PLCTool.Events;
using PLCTool.Models;
using Prism.Commands;
using Prism.Events;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.ViewModels.MonitorManageViewModel
{
    public  class LogViewModel:BindableBase
    {
        private readonly IEventAggregator _aggregator;
        private List<CrumbViewModel> breadCrumbs = new List<CrumbViewModel>();
        public LogViewModel(IEventAggregator aggregator) 
        { 
            _aggregator = aggregator;
            OnLoadCommand = new DelegateCommand(OnLoad);
        }
        private void OnLoad()
        {
            
            //发布面包靴
            breadCrumbs.Clear();
            breadCrumbs.Add(new CrumbViewModel { Name = "监控管理" });
            breadCrumbs.Add(new CrumbViewModel { Name = "系统实时Log" });
            _aggregator.GetEvent<BreadEvent>().Publish(breadCrumbs);
        }
        public DelegateCommand OnLoadCommand { set; get; }
    }
}
